#define VERSION "1.0.9"

#define HTML_HEADER \
"<html>\n" \
"<style>\n" \
"body{background-color:#e0ffff; font-family: Verdana, Arial,sans-serif; font-size:10pt; color:#8b0000}\n" \
"A{color:#000066; text-decoration:none}\n" \
"A:hover{color:blue}\n" \
"A:visited:{color:#000066}\n" \
"</style>\n"

void error_exit(int code);
void outofmemory(void);

FILE *open_file(const char *filenameP);

u4T  unicodelth(const u2T *stringP);
u2T *unicoderchr(u2T *stringP, u2T find);
u2T *unicodechr(u2T *stringP, u2T find);
u2T *unicodecpy1(u2T *string1P, const char *string2P);
u2T *unicodedup1(const char *stringP);
u2T *unicodecpy(u2T *string1P, const u2T *string2P);
void unicodencpy(u2T *toP, const u2T *fromP, int lth);
u2T *unicodedup(const u2T *stringP);
int	 unicodecmp(const u2T *string1P, const u2T *string2P);

void dumpUnicode(const u2T *stringP);
void dumpString(const char *stringP);
void dump_wchar(const u2T *P, FILE *F);

void dump_access(u2T access);
void dump_classname(const u2T *classnameP);
void  dump_wchar(const u2T *P, FILE *F);
u2T *get_datatype(u2T datatype);
void count_parameters(const u2T *descriptorP, u1T *parametersP, u1T *returnsP);

void deslash(u2T *stringP);

extern char	g_filename[2048];





